Bug 816205 - Suspend does not work on nforce4 chipset
Suspend does not work on nforce4 chipset
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
17
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
first=3.3 tested=3.4.3 suspend
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-25 09:39 EDT by Timothy Davis
Modified: 2013-07-31 22:09 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 22:09:43 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Timothy Davis 2012-04-25 09:39:37 EDT
Description of problem:
When I press sleep on my keyboard the computer acts as if it is going into suspend mode but then comes right back on

Version-Release number of selected component (if applicable):
The happens with every kernel since FC15
The latest FC17 kernel no longer produces an error report

How reproducible:
Every time

Steps to Reproduce:
1.Press sleep on keyboard or select suspend in Gnome 3.4/3.2 or suspend to ram(KDE)
  
Actual results:
Computer doesn't sleep/suspend

Expected results:
Computer sleeps/suspends

Additional info:
smolt_data:
:
:
:General
:=================================
:UUID: 1b54c924-cd3f-43f3-85f4-2fd87a29e4df
:OS: Fedora release 17 (Beefy Miracle)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: x86_64
:BogoMIPS: 5224.33
:CPU Vendor: AuthenticAMD
:CPU Model: AMD Athlon(tm) 64 FX-60 Dual Core Processor
:CPU Stepping: 2
:CPU Family: 15
:CPU Model Num: 35
:Number of CPUs: 2
:CPU Speed: 2600
:System Memory: 1986
:System Swap: 4095
:Vendor: Unknown
:System:  
:Form factor: Desktop
:Kernel: 3.3.0-0.rc3.git7.2.fc17.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(4130:4354:0:0) pci, None, HOST/PCI, K8 [Athlon64/Opteron] DRAM Controller
:(4318:85:4318:52100) pci, sata_nv, STORAGE, CK804 Serial ATA Controller
:(4318:83:4318:52100) pci, pata_amd, STORAGE, CK804 IDE
:(4130:4355:0:0) pci, k8temp, HOST/PCI, K8 [Athlon64/Opteron] Miscellaneous
Control
:(4318:93:0:0) pci, pcieport, PCI/PCI, CK804 PCIE Bridge
:(4318:92:0:0) pci, None, PCI/PCI, CK804 PCI Bridge
:(4318:90:4318:52100) pci, ohci_hcd, USB, CK804 USB Controller
:(4318:91:4318:52100) pci, ehci_hcd, USB, CK804 USB Controller
:(4318:93:0:0) pci, pcieport, PCI/PCI, CK804 PCIE Bridge
:(4545:1100:4545:1100) pci, None, SIMPLE, LT WinModem
:(4318:1057:6510:1152) pci, nouveau, VIDEO, G86 [GeForce 8500 GT]
:(4130:4353:0:0) pci, None, HOST/PCI, K8 [Athlon64/Opteron] Address Map
:(4130:4352:0:0) pci, None, HOST/PCI, K8 [Athlon64/Opteron] HyperTransport
Technology Configuration
:(4318:89:4318:52100) pci, snd_intel8x0, MULTIMEDIA_AUDIO, CK804 AC'97 Audio
Controller
:(4318:84:4318:52100) pci, sata_nv, STORAGE, CK804 Serial ATA Controller
:(4318:93:0:0) pci, pcieport, PCI/PCI, CK804 PCIE Bridge
:(4318:94:0:0) pci, None, MEMORY, CK804 Memory Controller
:(4318:93:0:0) pci, pcieport, PCI/PCI, CK804 PCIE Bridge
:(4318:82:4318:52100) pci, nForce2_smbus, SERIAL, CK804 SMBus
:(4318:80:4318:52100) pci, None, PCI/ISA, CK804 ISA Bridge
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sda6 / ext4 4096 4096 4357631 2365644 2146982 1093440 795083 795083
:
Comment 1 Timothy Davis 2012-06-28 07:16:09 EDT
Latest kernel update to 3.4.3 and the problem still exists
Comment 2 Josh Boyer 2012-07-10 13:18:38 EDT
Can you try following some of the steps here to see if there is a particular module causing this?

http://fedoraproject.org/wiki/Common_kernel_problems#Suspend.2FResume_failure
Comment 3 Timothy Davis 2012-07-10 13:31:04 EDT
None of those conditions apply, suspend doesn't work but hibernate does.
It doesn't lock up/freeze/black screen on suspend; it just doesn't suspend when on 3.0 kernel it would work.
Comment 4 Josh Boyer 2012-07-10 13:36:57 EDT
(In reply to comment #3)
> None of those conditions apply, suspend doesn't work but hibernate does.
> It doesn't lock up/freeze/black screen on suspend; it just doesn't suspend


Right... so you'd need to try:

* Try rmmod'ing various modules before doing the suspend. If this makes things work again, retry with a smaller set of modules unloaded. Keep retrying until you narrow down which module is to blame. 

which is in that link I pasted.  You might also try some of the steps in the 3rd bullet as well.
Comment 5 Timothy Davis 2012-08-01 11:07:20 EDT
I removed every module I could and was allowed, still nothing; looks like it'll suspend but then just comes right back without suspending at all.
Comment 6 Josh Boyer 2013-03-14 14:15:12 EDT
Still having issues with this on 3.8.2 in updates-testing?
Comment 7 Timothy Davis 2013-03-14 14:21:07 EDT
Will check when I can, thanks for the reminder
Comment 8 Fedora End Of Life 2013-07-03 19:27:36 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 9 Fedora End Of Life 2013-07-31 22:09:48 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.